Get Threat Feed Items (Beta)

Paginated list of threats, sorted by updated_at by default. Set updated_after to the unix timestamp of your last sync while sorting by updated_at to synchronize all new or updated threats in the feed.

This endpoint requires an Enterprise Plan with Threat Feed add-on. Contact our sales team for more details.

This endpoint consumes 1 unit of your quota.

This endpoint requires the following org token scopes:

  • threat-feed:list
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The slug of the organization

Query Params
integer
1 to 100
Defaults to 30

Number of threats per page

string

Pass the previous response endCursor to retrieve the next page. Takes precedence over page_cursor when both are supplied. Unsupported cursor aliases return 400; unrelated query parameters are unchanged.

string
deprecated

Deprecated alias for startAfterCursor. Existing nextPageCursor values remain accepted.

string
enum
Defaults to updated_at

Set the sort order for the threat feed items. Default is descending order by updated_at, which includes all new and updated threat feed items.

Allowed:
string

A Unix timestamp in seconds that filters results to items only updated after the timestamp.

string

A Unix timestamp in seconds that filters results to items only created after the date.

string
enum
Defaults to desc

Order direction of the provided sort field.

Allowed:
string
enum
Defaults to mal

Filter by threat classification. Supported values: mal (malware, including possible malware), vuln (vulnerability), typo (typosquat, including possible typosquat), anom (anomaly), spy (telemetry), obf (obfuscated code), dual (dual-use tool), joke (protestware or joke package), tp (all confirmed true positives), fp (false positive), u (unreviewed), c (classified, i.e. anything except unreviewed).

string

Filter threats by package name

string

Filter threats by package version.

boolean
Defaults to false

Only return threats which have been human-reviewed

string
enum

Filter threats by package ecosystem.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json